﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Test.CodeFirstTest.MSSQL.Migrations
{
    /// <inheritdoc />
    public partial class navigateTest : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<Guid>(
                name: "TrialImageDownloadId",
                table: "TestNew",
                type: "uniqueidentifier",
                nullable: false,
                defaultValue: new Guid("00000000-0000-0000-0000-000000000000"));

            migrationBuilder.CreateIndex(
                name: "IX_TestNew_TrialImageDownloadId",
                table: "TestNew",
                column: "TrialImageDownloadId");

            migrationBuilder.AddForeignKey(
                name: "FK_TestNew_TrialImageDownload_TrialImageDownloadId",
                table: "TestNew",
                column: "TrialImageDownloadId",
                principalTable: "TrialImageDownload",
                principalColumn: "Id",
                onDelete: ReferentialAction.Cascade);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropForeignKey(
                name: "FK_TestNew_TrialImageDownload_TrialImageDownloadId",
                table: "TestNew");

            migrationBuilder.DropIndex(
                name: "IX_TestNew_TrialImageDownloadId",
                table: "TestNew");

            migrationBuilder.DropColumn(
                name: "TrialImageDownloadId",
                table: "TestNew");
        }
    }
}
