﻿using System;
using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace IRaCIS.Core.Test.CodeFirstTest.MSSQL.Migrations
{
    /// <inheritdoc />
    public partial class seftOneToManyAndOneToOne : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "Dictionary",
                columns: table => new
                {
                    Id = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    ParentId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    ConfigTypeId = table.Column<Guid>(type: "uniqueidentifier", nullable: true),
                    Code = table.Column<string>(type: "nvarchar(max)", nullable: false),
                    CreateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    CreateTime = table.Column<DateTime>(type: "datetime2", nullable: false),
                    UpdateUserId = table.Column<Guid>(type: "uniqueidentifier", nullable: false),
                    UpdateTime = table.Column<DateTime>(type: "datetime2", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_Dictionary", x => x.Id);
                    table.ForeignKey(
                        name: "FK_Dictionary_Dictionary_ConfigTypeId",
                        column: x => x.ConfigTypeId,
                        principalTable: "Dictionary",
                        principalColumn: "Id");
                    table.ForeignKey(
                        name: "FK_Dictionary_Dictionary_ParentId",
                        column: x => x.ParentId,
                        principalTable: "Dictionary",
                        principalColumn: "Id");
                });

            migrationBuilder.CreateIndex(
                name: "IX_Dictionary_ConfigTypeId",
                table: "Dictionary",
                column: "ConfigTypeId");

            migrationBuilder.CreateIndex(
                name: "IX_Dictionary_ParentId",
                table: "Dictionary",
                column: "ParentId");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "Dictionary");
        }
    }
}
